
import com.imsl.finance.*;
import java.text.*;
import java.util.*;

public class OddShortLastMultiCoupPriceEx {

    static final DateFormat dateFormat
            = DateFormat.getDateInstance(DateFormat.SHORT, Locale.US);

    static private GregorianCalendar parse(String s) throws ParseException {
        GregorianCalendar cal = new GregorianCalendar();
        cal.setTime(dateFormat.parse(s));
        return cal;
    }

    public static void main(String args[]) throws ParseException {
        GregorianCalendar settlement = parse("02/25/1993");
        GregorianCalendar maturity = parse("06/01/2005");
        GregorianCalendar lastCoupon = parse("12/15/2004");
        double price = Bond.price(settlement, maturity, lastCoupon, 0.06875,
                0.0725, 100.0, Bond.SEMIANNUAL,
                DayCountBasis.Basis30e360);
        System.out.println("The price is " + price);
    }
}
